commit:     f13c6ae30105655f6687eefd9568e598b88ea01f
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 12 08:23:59 2021 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Apr 12 08:26:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f13c6ae3

www-client/fetch: add blocker.

* add blocker against dev-perl/BTLib.
* EAPI 7 bump.

Closes: https://bugs.gentoo.org/756865
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 www-client/fetch/fetch-1.0-r4.ebuild | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/www-client/fetch/fetch-1.0-r4.ebuild 
b/www-client/fetch/fetch-1.0-r4.ebuild
new file mode 100644
index 00000000000..cb11f73398d
--- /dev/null
+++ b/www-client/fetch/fetch-1.0-r4.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="HTTP download tool built atop the HTTP fetcher library"
+HOMEPAGE="https://sourceforge.net/projects/fetch/";
+SRC_URI="mirror://sourceforge/fetch/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-libs/http-fetcher
+       !dev-perl/BTLib"
+
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( docs/fetch.html )
+
+src_prepare() {
+       default
+       sed -i -e "/^ld_rpath/d" configure || die "sed failed"
+}

Reply via email to